-- phpMyAdmin SQL Dump
-- version 3.0.0-alpha
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Май 30 2009 г., 21:18
-- Версия сервера: 5.0.51
-- Версия PHP: 5.2.6-1+lenny3

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- База данных: `kbase`
--

-- --------------------------------------------------------

--
-- Структура таблицы `groups`
--

CREATE TABLE IF NOT EXISTS `groups` (
  `group_id` int(2) NOT NULL auto_increment,
  `group_name` varchar(25) NOT NULL,
  PRIMARY KEY  (`group_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Группы пользователей' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `members`
--

CREATE TABLE IF NOT EXISTS `members` (
  `user_id` int(10) unsigned NOT NULL auto_increment,
  `login` varchar(150) NOT NULL,
  `passwd` varchar(35) NOT NULL,
  `realname` varchar(150) NOT NULL,
  `status` int(2) NOT NULL,
  `registered` datetime NOT NULL,
  PRIMARY KEY  (`user_id`),
  KEY `status` (`status`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Пользователи' AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Структура таблицы `pages`
--

CREATE TABLE IF NOT EXISTS `pages` (
  `page_id` int(10) unsigned NOT NULL auto_increment,
  `page_url` varchar(35) NOT NULL,
  `page_create` datetime NOT NULL,
  `page_title` varchar(75) NOT NULL,
  `page_short` varchar(255) NOT NULL,
  `page_text` text NOT NULL,
  `page_owner` int(10) NOT NULL,
  `page_editor` int(10) NOT NULL,
  PRIMARY KEY  (`page_id`),
  KEY `page_owner` (`page_owner`),
  KEY `page_create` (`page_create`),
  KEY `page_editor` (`page_editor`),
  KEY `page_url` (`page_url`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COMMENT='Страницы' AUTO_INCREMENT=2 ;

-- --------------------------------------------------------

--
-- Структура таблицы `pages_revision`
--

CREATE TABLE IF NOT EXISTS `pages_revision` (
  `id` int(10) unsigned NOT NULL,
  `page_id` int(10) unsigned NOT NULL,
  `page_revision` int(5) NOT NULL,
  `page_create` datetime NOT NULL,
  `page_title` varchar(75) NOT NULL,
  `page_short` varchar(255) NOT NULL,
  `page_text` text NOT NULL,
  `page_editor` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `page_id` (`page_id`,`page_editor`),
  KEY `page_revision` (`page_revision`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Ревизии';

-- --------------------------------------------------------

--
-- Структура таблицы `settings`
--

CREATE TABLE IF NOT EXISTS `settings` (
  `opt_id` int(5) NOT NULL auto_increment,
  `opt_name` varchar(25) NOT NULL,
  `opt_value` varchar(25) NOT NULL,
  `opt_hname` varchar(25) NOT NULL,
  PRIMARY KEY  (`opt_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Настройки' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `status`
--

CREATE TABLE IF NOT EXISTS `status` (
  `status_id` int(2) NOT NULL auto_increment,
  `status_name` varchar(25) NOT NULL,
  PRIMARY KEY  (`status_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COMMENT='Статусы' AUTO_INCREMENT=1 ;
